      SUBROUTINE RAM(IBUMPD,IENM,IX,IY) 
C*BEGIN COMMON 
      COMMON SNAP,SNAPSHT(247), 
     +   DATE,REMKL,REMCOM,REMBASE,REMRES,REMTIME,STARKL,BASEKL,
     +   KILLK,KILLC,GALAXY(8,8),CX(10),CY(10),BASEQX(5),BASEQY(5), 
     +   NEWSTUF(8,8),PLNETS(10,5),ISX,ISY,NSCREM,NROMKL,NROMREM,
     +   NSCKILL,NPLANKL,ISATB,BATX,BATY,THINGX,THINGY,
     +   QUAD(10,10),KX(20),KY(20),KPOWER(20),KDIST(20),KSTUF(20),  
     +   FUTURE(10),MESSAGE(5,10),
     +   INKLING,INBASE,INRESOR,INCOM,INTIME,INSTAR,INENRG,INSHLD,
     +   INTORPS,INLSR,INDATE,ENERGY,SHLD,SHLDUP,CONDIT,TORPS,SHIP, 
     +   QUADX,QUADY,SECTX,SECTY,WARPFAC,WFACSQ,LSUPRES,DAMAGE(20), 
     +   LENGTH,SKILL,PASSWD,DIST,DIREC,TIME,BASEX,BASEY,DOCKFAC, 
     +   KLHERE,COMHERE,CASUAL,NHELP,NKINKS,STARCH(8,8),
     +   DEVICE(2,14),IDIDIT,GAMEWON,ALIVE,JUSTIN,RESTING,ALLDONE,
     +   DAMFAC,SHLDCHG,NDEVICE,PLNETX,PLNETY,INORBIT,LANDED,IPLANET,
     +   IMINE,ICRYSTL,INPLAN,NENHERE,ISHERE,NEUTZ,IRHERE,ICRAFT,
     +   IENTESC,ISCRAFT,ISCATE,CRYPROB,ICITE,IPHWHO,
     +   CRACKS(12) 
      INTEGER SHLDUP,CONDIT,QUADX,QUADY,SECTX,SECTY,TORPS,
     +   REMKL,REMBASE,SKILL,REMCOM,GALAXY,STARCH,CX,CY, 
     +   SHIP,ALLDONE,BASEQX,BASEQY,BASEX,BASEY,GAMEWON, 
     +   ALIVE,STARKL,BASEKL,CASUAL,COMHERE,RESTING,SNAP,SHLDCHG, 
     +   THINGX,THINGY,BATX,BATY,PLNETX,PLNETY,PLNETS
      REAL KDIST,KPOWER,LSUPRES,INTIME,INRESOR,INDATE,INSHLD,   
     +   INENRG,INLSR 
	BYTE QUAD
	REAL*8 DEVICE,PASSWD
C*END COMMON 
	LOGICAL*1 IHS,IHR,IHC,IHK,IHE,IHF,IHBLANK,IHDOT,IHP,IHB
	1 ,IHSTAR,IHT,IHQUEST,IHNUM,IENM
      COMMON/HOLLER/IHEOL,IHREAL,IHALPHA,IHS,IHR,IHC,IHK,IHGREEN,IHRED, 
     +IHYELLO,IHDOCKD,IHE,IHF,IHBLANK,IHDOT,IHQUEST,IHP,IHSTAR,IHB
     +,IHT,IHNUM  
      CALL REDALRT
      CALL PROUT(22H***COLLISION IMMINENT.,22) 
      CALL SKIP(2)
      CALL CRAM3AS
      CALL CRAMSHP
      TYPE=1.0    
      IF(IENM .EQ. IHT) TYPE=0.5      
      IF(IENM .EQ. IHR) TYPE=1.5
      IF(IENM .EQ. IHC) TYPE=2.0
      IF(IENM .EQ. IHS) TYPE=2.5
      IF(IBUMPD .EQ. 0) CALL CRAM(6H RAMS ) 
      IF(IBUMPD .EQ. 1) CALL CRAM(11H RAMMED BY ) 
      CALL CRMENA(IENM,2,IX,IY)
      CALL CREND
      CALL DEADKL(IX,IY,IENM,SECTX,SECTY) 
      CALL CRAM3AS
      CALL CRAMSHP
      CALL CRAMDMP(17H HEAVILY DAMAGED.)
      ICAS=(4.0+9.0*RANF(0))*TYPE
      CALL CRAM(19H***SICKBAY REPORTS ) 
      CALL CRAMI(ICAS,0)
      CALL CRAMDMP(12H CASUALTIES.) 
      CASUAL=CASUAL+ICAS
      DO 10 L=1,NDEVICE 
      IF(DAMAGE(L) .LT. 0) GO TO 10 
      IF(L.EQ.14) GOTO 10   
      EXTRADM=(10.0*TYPE*RANF(0)+1.0)*DAMFAC
      DAMAGE(L)=DAMAGE(L)+TIME+EXTRADM
 10   CONTINUE
      SHLDUP=0
      IF(REMKL.NE.0) CALL DREPORT     
      IF(REMKL .EQ. 0) CALL FINISH(1) 
      RETURN
      END 
